Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/chicken: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sat, 5 Sep 2015 21:17:37 +0200

---
 testing/chicken/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/chicken/APKBUILD
diff --git a/testing/chicken/APKBUILD b/testing/chicken/APKBUILD
new file mode 100644
index 0000000..02cbc2d
--- /dev/null
+++ b/testing/chicken/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+pkgname=chicken
+pkgver=4.10.0
+pkgrel=0
+pkgdesc="R5RS and R7RS compatible scheme compiler and interpreter"
+url="http://call-cc.org/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://code.call-cc.org/releases/$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	# Chicken does not support parallel builds.
+	make -j1 PLATFORM=linux PREFIX=/usr \
+		-C "$_builddir" || return 1
+}
+
+package() {
+	make -j1 PLATFORM=linux PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="5585edb369eb2a49f1f92775419852e7  chicken-4.10.0.tar.gz"
+sha256sums="0e07f5abcd11961986950dbeaa5a40db415f8a1b65daff9c300e9b05b334899b  chicken-4.10.0.tar.gz"
+sha512sums="ff3405652e232ba7b06a8d4fc092772259f0917b1cdd119c0cf38f27ba95fca99d2c053c0f08317014fd7085e8cf89f68b56f22cb82c2988914b972ce59e3e29  chicken-4.10.0.tar.gz"
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Sep 05 2015 - 21:17:37 GMT